## latte-dock 0.7.3

=== debian/changelog ===
latte-dock (0.7.3-0ubuntu1) bionic; urgency=medium

  * Initial Ubuntu packaging

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 27 Feb 2018 22:25:15 -0600

=== debian/rules ===
#!/usr/bin/make -f


include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_auto_configure:
	$(overridden_command) -- -DCMAKE_BUILD_TYPE=Release

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/latte-dock/latte-dock-([\d.]+).tar.(?:xz|bz2|gz)

## latte-dock 0.7.4

=== CMakeLists.txt ===
project(lattedock)
cmake_minimum_required(VERSION 3.0 FATAL_ERROR)

set(CMAKE_CXX_STANDARD 14)
set(VERSION 0.7.4)
set(AUTHOR "Michail Vourlakos, Smith Ar")
set(EMAIL "mvourlakos@gmail.com, audoban@openmailbox.org")
set(WEBSITE "https://github.com/psifidotos/Latte-Dock")
set(BUG_ADDRESS "https://github.com/psifidotos/Latte-Dock/issues")
set(FAQS "https://github.com/psifidotos/Latte-Dock/wiki/F.A.Q.")

set(QT_MIN_VERSION "5.7.0")
set(KF5_MIN_VERSION "5.29.0")

set(KF5_LOCALE_PREFIX "")

find_package(ECM 1.8.0 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED NO_MODULE COMPONENTS DBus Gui Qml Quick)
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    Activities Archive CoreAddons Crash DBusAddons Declarative GlobalAccel I18n
    IconThemes Notifications Plasma PlasmaQuick Wayland WindowSystem XmlGui)

find_package(X11 REQUIRED)
set_package_properties(X11 PROPERTIES DESCRIPTION "X11 libraries"
    URL "http://www.x.org"
    TYPE OPTIONAL
    PURPOSE "Required for building the X11 based workspace")

if(X11_FOUND)
    find_package(XCB MODULE REQUIRED COMPONENTS XCB RANDR EVENT)
    set_package_properties(XCB PROPERTIES TYPE REQUIRED)
    find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS X11Extras)

    if(NOT X11_SM_FOUND)
        message(FATAL_ERROR "\nThe X11 Session Management (SM) development package could not be found.
                \nPlease install libSM.\n")
    endif(NOT X11_SM_FOUND)

endif()

if(X11_FOUND AND XCB_XCB_FOUND)
    set(HAVE_X11 ON)
endif()

include(CheckIncludeFiles)
include(CMakePackageConfigHelpers)
include(ECMOptionalAddSubdirectory)
include(ECMQtDeclareLoggingCategory)
include(KDECMakeSettings)
#include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDEInstallDirs)
include(KDEPackageAppTemplates)
include(WriteBasicConfigVersionFile)

include(Definitions.cmake)

add_subdirectory(liblattedock)
add_subdirectory(app)
add_subdirectory(applets)
add_subdirectory(containment)
add_subdirectory(icons)
add_subdirectory(plasmoid)
add_subdirectory(shell)

ki18n_install(${CMAKE_CURRENT_BINARY_DIR}/po)

find_package(KF5I18n CONFIG REQUIRED)
ki18n_install(po)

=== applets/CMakeLists.txt ===
add_subdirectory(separator) 
add_subdirectory(spacer)

=== debian/changelog ===
latte-dock (0.7.4-1) unstable; urgency=medium

  * Initial release (Closes: #859642)

 -- Scarlett Clark <sgclark@kde.org>  Thu, 08 Nov 2018 14:01:48 -0300

=== debian/control ===
Source: latte-dock
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Scarlett Clark <sgclark@kde.org>
Build-Depends: cmake (>= 3.1~),
               debhelper (>= 11),
               extra-cmake-modules (>= 5.29.0~),
               libkf5activities-dev (>= 5.29.0~),
               libkf5archive-dev (>= 5.29.0~),
               libkf5crash-dev (>= 5.29.0~),
               libkf5declarative-dev (>= 5.29.0~),
               libkf5iconthemes-dev (>= 5.29.0~),
               libkf5newstuff-dev (>= 5.38.0~),
               libkf5notifications-dev (>= 5.29.0~),
               libkf5plasma-dev (>= 5.29.0~),
               libkf5wayland-dev (>= 5.29.0~),
               libkf5windowsystem-dev (>= 5.29.0~),
               libkf5xmlgui-dev (>= 5.29.0~),
               libqt5x11extras5-dev (>= 5.7.0~),
               libsm-dev,
               libxcb-util0-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.7.0~),
               qtdeclarative5-dev (>= 5.7.0~)
Standards-Version: 4.1.4
Homepage: https://github.com/psifidotos/Latte-Dock
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/latte-dock
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/latte-dock.git

Package: latte-dock
Architecture: any
Depends: plasma-desktop,
         plasma-pa,
         plasma-workspace (>= 4:5.9.0~),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Dock based on plasma frameworks
 Latte is a dock based on plasma frameworks that provides an elegant and
 intuitive experience for your tasks and plasmoids. It animates it's
 contents by using parabolic zoom effect and tries to be there only when
 it is needed.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_auto_clean:
	rm -f  containment/package/metadata.desktop
	rm -f plasmoid/package/metadata.desktop
	rm -f shell/package/metadata.desktop
	$(overridden_command)

## latte-dock 0.7.5

=== debian/changelog ===
latte-dock (0.7.5-0ubuntu1) cosmic; urgency=medium

  * New upstream release (0.7.5)
  * d/patches: Drop upstream_fix-check-overlap-for-dodgeMaximize.patch

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 11 May 2018 08:37:22 +0100

latte-dock (0.7.4-0ubuntu2) bionic; urgency=medium

  * debian/patches: Drop spelling-corrections.patch
    Was in debian's work-in-progress packaging, but now dropped as
    it breaks some translation strings.

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 23 Apr 2018 17:55:46 +0100

latte-dock (0.7.4-0ubuntu1) bionic; urgency=medium

  * New upstream bugfix release (0.7.4)
  * Sync some changes from debian's unreleased packaging:
    - debian/patches: spelling-corrections.patch
    - debian/rules: Don't set buildtype to 'release' explicitly and
      add hardening options
    - update watchfile
    - debian/copyright: remove sections for tangerine.ttf font which
      is no longer shipped
  * Cherry pick upstream_fix-check-overlap-for-dodgeMaximize.patch

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 19 Mar 2018 20:09:34 -0500

## latte-dock 0.7.96

=== debian/changelog ===
latte-dock (0.7.96-0ubuntu1) cosmic; urgency=medium

  * New upstream beta release (0.7.96)
  * Bump minimum build deps to frameworks 5.38 and Qt 5.9
  * Update watchfile

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 10 Jul 2018 08:10:04 +0100

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/@PACKAGE@/@PACKAGE@-([\d.]+).tar.xz
opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/unstable/@PACKAGE@/([\d.]+)/@PACKAGE@-([\d.]+).tar.xz

## latte-dock 0.8.0

=== liblattedock/CMakeLists.txt ===
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config-latte-lib.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-latte-lib.h)

set(lattedock_SRCS
    lattedockplugin.cpp
    quickwindowsystem.cpp
    dock.cpp
    iconitem.cpp
)

add_library(lattedockplugin SHARED ${lattedock_SRCS})

target_link_libraries(lattedockplugin
    Qt5::Quick
    Qt5::Qml
    KF5::CoreAddons
    KF5::Plasma
    KF5::PlasmaQuick
    KF5::QuickAddons
    KF5::IconThemes
)

if(HAVE_X11)
    target_link_libraries(lattedockplugin KF5::WindowSystem)
endif()

install(TARGETS lattedockplugin DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/latte)

install(DIRECTORY qml/ DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/latte)

install(FILES qmldir DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/latte)

=== debian/changelog ===
latte-dock (0.8.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release (0.8.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 16 Jul 2018 00:38:34 +0100

## latte-dock 0.8.1

=== debian/changelog ===
latte-dock (0.8.1-0ubuntu1) cosmic; urgency=medium

  * New upstream bugfix release (0.8.1).

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 16 Sep 2018 09:25:53 +0100

## latte-dock 0.8.3

=== debian/changelog ===
latte-dock (0.8.3-0ubuntu1) disco; urgency=medium

  * New upstream bugfix release (0.8.2).
  * New upstream bugfix release (0.8.3).

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 24 Nov 2018 17:09:41 +0000

=== debian/control ===
Source: latte-dock
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Build-Depends: cmake (>= 3.1~),
               debhelper (>= 10),
               extra-cmake-modules (>= 5.38.0~),
               libkf5activities-dev (>= 5.38.0~),
               libkf5archive-dev (>= 5.38.0~),
               libkf5crash-dev (>= 5.38.0~),
               libkf5declarative-dev (>= 5.38.0~),
               libkf5iconthemes-dev (>= 5.38.0~),
               libkf5newstuff-dev (>= 5.38.0~),
               libkf5notifications-dev (>= 5.38.0~),
               libkf5plasma-dev (>= 5.38.0~),
               libkf5wayland-dev (>= 5.38.0~),
               libkf5windowsystem-dev (>= 5.38.0~),
               libkf5xmlgui-dev (>= 5.38.0~),
               libqt5x11extras5-dev (>= 5.9.0~),
               libsm-dev,
               libxcb-util-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.9.0~),
               qtdeclarative5-dev (>= 5.9.0~)
Standards-Version: 4.1.2
Homepage: https://github.com/psifidotos/Latte-Dock
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/latte-dock
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/latte-dock

Package: latte-dock
Architecture: any
Depends: plasma-desktop,
         plasma-pa,
         plasma-workspace (>= 4:5.9.0~),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Dock based on plasma frameworks
 Latte is a dock based on plasma frameworks that provides an elegant and
 intuitive experience for your tasks and plasmoids. It animates it's
 contents by using parabolic zoom effect and tries to be there only when
 it is needed.

## latte-dock 0.8.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,25 +2,25 @@
 cmake_minimum_required(VERSION 3.0 FATAL_ERROR)
 
 set(CMAKE_CXX_STANDARD 14)
-set(VERSION 0.7.4)
+set(VERSION 0.8.4)
 set(AUTHOR "Michail Vourlakos, Smith Ar")
 set(EMAIL "mvourlakos@gmail.com, audoban@openmailbox.org")
 set(WEBSITE "https://github.com/psifidotos/Latte-Dock")
 set(BUG_ADDRESS "https://github.com/psifidotos/Latte-Dock/issues")
 set(FAQS "https://github.com/psifidotos/Latte-Dock/wiki/F.A.Q.")
 
-set(QT_MIN_VERSION "5.7.0")
-set(KF5_MIN_VERSION "5.29.0")
+set(QT_MIN_VERSION "5.9.0")
+set(KF5_MIN_VERSION "5.38.0")
 
 set(KF5_LOCALE_PREFIX "")
 
-find_package(ECM 1.8.0 REQUIRED NO_MODULE)
+find_package(ECM ${KF5_MIN_VER} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})
 
 find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED NO_MODULE COMPONENTS DBus Gui Qml Quick)
 find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
     Activities Archive CoreAddons Crash DBusAddons Declarative GlobalAccel I18n
-    IconThemes Notifications Plasma PlasmaQuick Wayland WindowSystem XmlGui)
+    IconThemes NewStuff Notifications Plasma PlasmaQuick Wayland WindowSystem XmlGui)
 
 find_package(X11 REQUIRED)
 set_package_properties(X11 PROPERTIES DESCRIPTION "X11 libraries"
@@ -44,6 +44,16 @@
     set(HAVE_X11 ON)
 endif()
 
+include(ECMQMLModules)
+ecm_find_qmlmodule(QtQuick 2.7)
+ecm_find_qmlmodule(QtQuick.Layouts 1.3)
+ecm_find_qmlmodule(QtQuick.Controls 1.4)
+ecm_find_qmlmodule(QtQuick.Controls.Styles.Plasma 2.0)
+ecm_find_qmlmodule(QtGraphicalEffects 1.0)
+ecm_find_qmlmodule(org.kde.kquickcontrolsaddons 2.0)
+ecm_find_qmlmodule(org.kde.plasma.core 2.0)
+ecm_find_qmlmodule(org.kde.plasma.components 2.0)
+
 include(CheckIncludeFiles)
 include(CMakePackageConfigHelpers)
 include(ECMOptionalAddSubdirectory)
@@ -57,7 +67,9 @@
 include(Definitions.cmake)
 
 add_subdirectory(liblattedock)
+add_subdirectory(kwin_scripts)
 add_subdirectory(app)
+add_subdirectory(containmentactions)
 add_subdirectory(applets)
 add_subdirectory(containment)
 add_subdirectory(icons)

=== debian/changelog ===
latte-dock (0.8.4-1) unstable; urgency=medium

  * Team upload.

  [ Pino Toscano ]
  * Remove unused (and wrong) autopkgtest tests.
  * Link is as-needed mode.

  [ Scarlett Moore ]
  * Add back LGPL-2.1+ to the copyright file, it is still actually used.
  * New upstream release.
  * Remove patch applied upstream.
  * Update my name in Uploaders.
  * Move away from dhmk.
  * Remove unused clean override.
  * Fix file(s) location in copyright.
  * Add upstream patch for spelling errors, adjusted for this release.
  * Bump compat to 12.
  * Bump standards-version to 4.3.0, No remaining changes.
  * Bump minimum required kf5 frameworks to 5.38.0~

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 24 Jan 2019 20:56:22 -0300

=== debian/control ===
Source: latte-dock
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Scarlett Moore <sgclark@kde.org>
Build-Depends: cmake (>= 3.1~),
               debhelper (>= 12),
               extra-cmake-modules (>= 5.38.0~),
               libkf5activities-dev (>= 5.38.0~),
               libkf5archive-dev (>= 5.38.0~),
               libkf5crash-dev (>= 5.38.0~),
               libkf5declarative-dev (>= 5.38.0~),
               libkf5iconthemes-dev (>= 5.38.0~),
               libkf5newstuff-dev (>= 5.38.0~),
               libkf5notifications-dev (>= 5.38.0~),
               libkf5plasma-dev (>= 5.38.0~),
               libkf5wayland-dev (>= 5.38.0~),
               libkf5windowsystem-dev (>= 5.38.0~),
               libkf5xmlgui-dev (>= 5.38.0~),
               libqt5x11extras5-dev (>= 5.7.0~),
               libsm-dev,
               libxcb-util0-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.7.0~),
               qtdeclarative5-dev (>= 5.7.0~),
Standards-Version: 4.3.0
Homepage: https://github.com/psifidotos/Latte-Dock
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/latte-dock
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/latte-dock.git

Package: latte-dock
Architecture: any
Depends: plasma-desktop,
         plasma-pa,
         plasma-workspace (>= 4:5.9.0~),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Dock based on plasma frameworks
 Latte is a dock based on plasma frameworks that provides an elegant and
 intuitive experience for your tasks and plasmoids. It animates it's
 contents by using parabolic zoom effect and tries to be there only when
 it is needed.

## latte-dock 0.8.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 cmake_minimum_required(VERSION 3.0 FATAL_ERROR)
 
 set(CMAKE_CXX_STANDARD 14)
-set(VERSION 0.8.4)
+set(VERSION 0.8.5)
 set(AUTHOR "Michail Vourlakos, Smith Ar")
 set(EMAIL "mvourlakos@gmail.com, audoban@openmailbox.org")
 set(WEBSITE "https://github.com/psifidotos/Latte-Dock")

=== containment/CMakeLists.txt ===
configure_file(metadata.desktop.cmake ${CMAKE_CURRENT_SOURCE_DIR}/package/metadata.desktop)

plasma_install_package(package org.kde.latte.containment)

=== kwin_scripts/CMakeLists.txt ===
install( DIRECTORY activatelattelaunchermenu DESTINATION ${DATA_INSTALL_DIR}/kwin/scripts )

# service files
install( FILES activatelattelaunchermenu/metadata.desktop DESTINATION ${SERVICES_INSTALL_DIR} RENAME kwin-script-activatelattelaunchermenu.desktop )

=== debian/changelog ===
latte-dock (0.8.5-1) unstable; urgency=medium

  * New upstream release.
  * Update my email address.
  * Add upstream/metadata file and info.
  * Refresh copyright - new 2019 PO entries.
  * Bump Qt depend version as per cmake.

 -- Scarlett Moore <sgmoore@kde.org>  Mon, 11 Feb 2019 16:27:09 -0300

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: kde
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Scarlett Moore <sgclark@kde.org>
+Uploaders: Scarlett Moore <sgmoore@kde.org>
 Build-Depends: cmake (>= 3.1~),
                debhelper (>= 12),
                extra-cmake-modules (>= 5.38.0~),
@@ -17,13 +17,13 @@
                libkf5wayland-dev (>= 5.38.0~),
                libkf5windowsystem-dev (>= 5.38.0~),
                libkf5xmlgui-dev (>= 5.38.0~),
-               libqt5x11extras5-dev (>= 5.7.0~),
+               libqt5x11extras5-dev (>= 5.9.0~),
                libsm-dev,
                libxcb-util0-dev,
                pkg-config,
                pkg-kde-tools (>= 0.12),
-               qtbase5-dev (>= 5.7.0~),
-               qtdeclarative5-dev (>= 5.7.0~),
+               qtbase5-dev (>= 5.9.0~),
+               qtdeclarative5-dev (>= 5.9.0~),
 Standards-Version: 4.3.0
 Homepage: https://github.com/psifidotos/Latte-Dock
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/latte-dock

## latte-dock 0.8.6

=== debian/changelog ===
latte-dock (0.8.6-0ubuntu1) disco; urgency=medium

  * New upstream bugfix release (0.8.6)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 16 Feb 2019 08:23:33 +0000

latte-dock (0.8.5-1ubuntu1) disco; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - d/control: Stay with compat/debhelper 11 for backports.
    - d/control: Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 12 Feb 2019 08:19:27 +0000

latte-dock (0.8.5-0ubuntu1) disco; urgency=medium

  * New upstream bugfix release (0.8.5)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 27 Jan 2019 12:19:47 +0000

latte-dock (0.8.4-0ubuntu1) disco; urgency=medium

  * New upstream bugfix release (0.8.4)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 29 Dec 2018 20:44:27 +0000

## latte-dock 0.8.7

=== debian/changelog ===
latte-dock (0.8.7-0ubuntu1) disco; urgency=medium

  * New upstream bugfix release (0.8.7).

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 04 Mar 2019 09:40:46 +0000

## latte-dock 0.8.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 cmake_minimum_required(VERSION 3.0 FATAL_ERROR)
 
 set(CMAKE_CXX_STANDARD 14)
-set(VERSION 0.8.5)
+set(VERSION 0.8.8)
 set(AUTHOR "Michail Vourlakos, Smith Ar")
 set(EMAIL "mvourlakos@gmail.com, audoban@openmailbox.org")
 set(WEBSITE "https://github.com/psifidotos/Latte-Dock")

=== plasmoid/CMakeLists.txt ===
configure_file(metadata.desktop.cmake ${CMAKE_CURRENT_SOURCE_DIR}/package/metadata.desktop)

plasma_install_package(package org.kde.latte.plasmoid)

=== applets/separator/CMakeLists.txt ===
configure_file(metadata.desktop.cmake ${CMAKE_CURRENT_SOURCE_DIR}/package/metadata.desktop)

plasma_install_package(package audoban.applet.separator)

=== containmentactions/contextmenu/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"plasma_containmentactions_lattecontextmenu\")

set(contextmenu_SRCS
    menu.cpp
)

add_library(plasma_containmentactions_lattecontextmenu MODULE ${contextmenu_SRCS})

kcoreaddons_desktop_to_json(plasma_containmentactions_lattecontextmenu plasma-containmentactions-lattecontextmenu.desktop)

target_link_libraries(plasma_containmentactions_lattecontextmenu
                        Qt5::DBus
                        Qt5::Widgets
                        KF5::I18n
                        KF5::XmlGui
                        KF5::Plasma)

install(TARGETS plasma_containmentactions_lattecontextmenu DESTINATION ${KDE_INSTALL_PLUGINDIR})
install(FILES plasma-containmentactions-lattecontextmenu.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR})

=== debian/changelog ===
latte-dock (0.8.8-0ubuntu1) disco; urgency=medium

  * New upstream bugfix release (0.8.8).

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 14 Apr 2019 17:30:02 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Scarlett Moore <sgmoore@kde.org>
 Build-Depends: cmake (>= 3.1~),
-               debhelper (>= 12),
+               debhelper (>= 11),
                extra-cmake-modules (>= 5.38.0~),
                libkf5activities-dev (>= 5.38.0~),
                libkf5archive-dev (>= 5.38.0~),
@@ -26,8 +26,8 @@
                qtdeclarative5-dev (>= 5.9.0~),
 Standards-Version: 4.3.0
 Homepage: https://github.com/psifidotos/Latte-Dock
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/latte-dock
-Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/latte-dock.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/latte-dock
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/latte-dock
 
 Package: latte-dock
 Architecture: any

## latte-dock 0.8.9

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 cmake_minimum_required(VERSION 3.0 FATAL_ERROR)
 
 set(CMAKE_CXX_STANDARD 14)
-set(VERSION 0.8.8)
+set(VERSION 0.8.9)
 set(AUTHOR "Michail Vourlakos, Smith Ar")
 set(EMAIL "mvourlakos@gmail.com, audoban@openmailbox.org")
 set(WEBSITE "https://github.com/psifidotos/Latte-Dock")

=== debian/changelog ===
latte-dock (0.8.9-0ubuntu1) eoan; urgency=medium

  * New upstream release (0.8.9)
  * Drop included upstream_blacklist-plasma-notifications.patch

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 27 Jun 2019 21:59:16 +0100

latte-dock (0.8.8-0ubuntu2) eoan; urgency=medium

  * debian/patches: upstream_blacklist-plasma-notifications.patch
    - Add upstream patch to fix notifications icon with Plasma 5.16
  * debian:patches: upstream_D17894.diff
    - Refresh patch.

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 18 Jun 2019 22:49:19 +0100

## latte-dock 0.8.97

=== app/settings/tools/CMakeLists.txt ===
set(lattedock-app_SRCS
    ${lattedock-app_SRCS}   
    ${CMAKE_CURRENT_SOURCE_DIR}/settingstools.cpp
    PARENT_SCOPE
)

=== debian/changelog ===
latte-dock (0.8.97-0ubuntu1) eoan; urgency=medium

  * New upstream beta release (0.8.97)
  * Install NEWFEATURES.md describing new features in
    /usr/share/docs/latte-dock/
  * debian/patches: Drop upstream_D17894.diff now applied.
  * New build depend on libkf5sysguard-dev.
  * Update watch file.

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 17 Jul 2019 16:23:48 +0100

=== debian/control ===
--- 
+++ 
@@ -14,6 +14,7 @@
                libkf5newstuff-dev (>= 5.38.0~),
                libkf5notifications-dev (>= 5.38.0~),
                libkf5plasma-dev (>= 5.38.0~),
+               libkf5sysguard-dev,
                libkf5wayland-dev (>= 5.38.0~),
                libkf5windowsystem-dev (>= 5.38.0~),
                libkf5xmlgui-dev (>= 5.38.0~),

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow
export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --with kf5

## latte-dock 0.9.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 cmake_minimum_required(VERSION 3.0 FATAL_ERROR)
 
 set(CMAKE_CXX_STANDARD 14)
-set(VERSION 0.8.9)
+set(VERSION 0.9.0)
 set(AUTHOR "Michail Vourlakos, Smith Ar")
 set(EMAIL "mvourlakos@gmail.com, audoban@openmailbox.org")
 set(WEBSITE "https://github.com/psifidotos/Latte-Dock")
@@ -18,8 +18,11 @@
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})
 
 find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED NO_MODULE COMPONENTS DBus Gui Qml Quick)
+
+find_package(KF5 REQUIRED COMPONENTS SysGuard)
+
 find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
-    Activities Archive CoreAddons Crash DBusAddons Declarative GlobalAccel I18n
+    Activities Archive CoreAddons GuiAddons Crash DBusAddons Declarative GlobalAccel I18n 
     IconThemes NewStuff Notifications Plasma PlasmaQuick Wayland WindowSystem XmlGui)
 
 find_package(X11 REQUIRED)
@@ -44,6 +47,12 @@
     set(HAVE_X11 ON)
 endif()
 
+string(REGEX MATCH "\\.([^]]+)\\." KF5_VERSION_MINOR ${KF5_VERSION})
+string(REGEX REPLACE "\\." "" KF5_VERSION_MINOR ${KF5_VERSION_MINOR})
+
+message(STATUS "KF5 VERSION : ${KF5_VERSION}")
+message(STATUS "KF5 VERSION MINOR : ${KF5_VERSION_MINOR}")
+
 include(ECMQMLModules)
 ecm_find_qmlmodule(QtQuick 2.7)
 ecm_find_qmlmodule(QtQuick.Layouts 1.3)
@@ -66,17 +75,14 @@
 
 include(Definitions.cmake)
 
-add_subdirectory(liblattedock)
-add_subdirectory(kwin_scripts)
+add_subdirectory(declarativeimports)
+add_subdirectory(liblatte2)
+add_subdirectory(indicators)
 add_subdirectory(app)
 add_subdirectory(containmentactions)
-add_subdirectory(applets)
 add_subdirectory(containment)
 add_subdirectory(icons)
 add_subdirectory(plasmoid)
 add_subdirectory(shell)
 
-ki18n_install(${CMAKE_CURRENT_BINARY_DIR}/po)
-
-find_package(KF5I18n CONFIG REQUIRED)
 ki18n_install(po)

=== debian/changelog ===
latte-dock (0.9.0-2) unstable; urgency=medium

  * New upstream release.
  * Remove patch applied upstream for spelling errors.
  * Update dependencies per cmake.
  * Refresh copyright file for moved files and remove
    extra COPYING files listed in debian/copyright.
  * Fix "pulseaudio dependency"
    Removed extra dependencies not listed anywhere as needed.
    Commit: c71f2689d81f27f0623324a4a273dca9a5ffaf86
    (Closes: #933543)
  * Release to unstable.

 -- Scarlett Moore <sgmoore@kde.org>  Sun, 04 Aug 2019 07:32:28 -0700

=== debian/control ===
Source: latte-dock
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Scarlett Moore <sgmoore@kde.org>
Build-Depends: cmake (>= 3.1~),
               debhelper (>= 12),
               extra-cmake-modules (>= 5.38.0~),
               libkf5activities-dev (>= 5.38.0~),
               libkf5archive-dev (>= 5.38.0~),
               libkf5coreaddons-dev (>= 5.38.0~),
               libkf5crash-dev (>= 5.38.0~),
               libkf5dbusaddons-dev (>= 5.38.0~),
               libkf5declarative-dev (>= 5.38.0~),
               libkf5globalaccel-dev (>= 5.38.0~),
               libkf5guiaddons-dev (>= 5.38.0~),
               libkf5i18n-dev (>= 5.38.0~),
               libkf5iconthemes-dev (>= 5.38.0~),
               libkf5newstuff-dev (>= 5.38.0~),
               libkf5notifications-dev (>= 5.38.0~),
               libkf5plasma-dev (>= 5.38.0~),
               libkf5sysguard-dev (>= 5.38.0~),
               libkf5wayland-dev (>= 5.38.0~),
               libkf5windowsystem-dev (>= 5.38.0~),
               libkf5xmlgui-dev (>= 5.38.0~),
               libqt5x11extras5-dev (>= 5.9.0~),
               libsm-dev,
               libxcb-util0-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.9.0~),
               qtdeclarative5-dev (>= 5.9.0~),
Standards-Version: 4.3.0
Homepage: https://github.com/psifidotos/Latte-Dock
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/latte-dock
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/latte-dock.git

Package: latte-dock
Architecture: any
Depends: plasma-desktop, ${misc:Depends}, ${shlibs:Depends}
Description: Dock based on plasma frameworks
 Latte is a dock based on plasma frameworks that provides an elegant and
 intuitive experience for your tasks and plasmoids. It animates it's
 contents by using parabolic zoom effect and tries to be there only when
 it is needed.

## latte-dock 0.9.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 cmake_minimum_required(VERSION 3.0 FATAL_ERROR)
 
 set(CMAKE_CXX_STANDARD 14)
-set(VERSION 0.9.0)
+set(VERSION 0.9.1)
 set(AUTHOR "Michail Vourlakos, Smith Ar")
 set(EMAIL "mvourlakos@gmail.com, audoban@openmailbox.org")
 set(WEBSITE "https://github.com/psifidotos/Latte-Dock")

=== app/view/CMakeLists.txt ===
set(lattedock-app_SRCS
    ${lattedock-app_SRCS}   
    ${CMAKE_CURRENT_SOURCE_DIR}/contextmenu.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/effects.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/panelshadows.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/positioner.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/screenedgeghostwindow.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/view.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/visibilitymanager.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/settings/primaryconfigview.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/settings/secondaryconfigview.cpp
    PARENT_SCOPE
)

=== debian/changelog ===
latte-dock (0.9.1-1) unstable; urgency=medium

  * New upstream Release.
  * Bump standards version to 4.4.0; No changes needed.
  * Release to unstable.

 -- Scarlett Moore <sgmoore@kde.org>  Sat, 10 Aug 2019 17:58:18 -0700

## latte-dock 0.9.2

=== debian/changelog ===
latte-dock (0.9.2-0ubuntu1) eoan; urgency=medium

  * New upstream bugfix release (0.9.2)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 06 Sep 2019 17:39:24 +0100

=== debian/control ===
--- 
+++ 
@@ -30,7 +30,7 @@
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.9.0~),
                qtdeclarative5-dev (>= 5.9.0~),
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: https://github.com/psifidotos/Latte-Dock
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/latte-dock
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/latte-dock.git

## latte-dock 0.9.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,12 +2,12 @@
 cmake_minimum_required(VERSION 3.0 FATAL_ERROR)
 
 set(CMAKE_CXX_STANDARD 14)
-set(VERSION 0.9.1)
+set(VERSION 0.9.3)
 set(AUTHOR "Michail Vourlakos, Smith Ar")
 set(EMAIL "mvourlakos@gmail.com, audoban@openmailbox.org")
-set(WEBSITE "https://github.com/psifidotos/Latte-Dock")
-set(BUG_ADDRESS "https://github.com/psifidotos/Latte-Dock/issues")
-set(FAQS "https://github.com/psifidotos/Latte-Dock/wiki/F.A.Q.")
+set(WEBSITE "https://userbase.kde.org/LatteDock")
+set(BUG_ADDRESS "https://bugs.kde.org/enter_bug.cgi?product=lattedock")
+set(FAQS "https://userbase.kde.org/LatteDock/FAQ")
 
 set(QT_MIN_VERSION "5.9.0")
 set(KF5_MIN_VERSION "5.38.0")

=== debian/changelog ===
latte-dock (0.9.3-0ubuntu1) eoan; urgency=medium

  * New upstream bugfix release (0.9.3)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 29 Sep 2019 21:16:48 +0100

latte-dock (0.9.2-1) unstable; urgency=medium

  * New upstream release.
  * Update homepage.
  * Release to unstable.

 -- Scarlett Moore <sgmoore@kde.org>  Mon, 16 Sep 2019 04:46:41 -0700

=== debian/control ===
--- 
+++ 
@@ -31,7 +31,7 @@
                qtbase5-dev (>= 5.9.0~),
                qtdeclarative5-dev (>= 5.9.0~),
 Standards-Version: 4.4.0
-Homepage: https://github.com/psifidotos/Latte-Dock
+Homepage: https://github.com/KDE/latte-dock
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/latte-dock
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/latte-dock.git

=== debian/rules ===
--- 
+++ 
@@ -5,3 +5,8 @@
 
 %:
 	dh $@ --with kf5
+
+override_dh_auto_install:
+	dh_auto_install
+	rm -f $(CURDIR)/debian/latte-dock/usr/share/plasma/plasmoids/org.kde.latte.containment/contents/icons/COPYING
+	rm -f $(CURDIR)/debian/latte-dock/usr/share/plasma/shells/org.kde.latte.shell/contents/images/COPYING

## latte-dock 0.9.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 cmake_minimum_required(VERSION 3.0 FATAL_ERROR)
 
 set(CMAKE_CXX_STANDARD 14)
-set(VERSION 0.9.3)
+set(VERSION 0.9.4)
 set(AUTHOR "Michail Vourlakos, Smith Ar")
 set(EMAIL "mvourlakos@gmail.com, audoban@openmailbox.org")
 set(WEBSITE "https://userbase.kde.org/LatteDock")

=== app/CMakeLists.txt ===
set(lattedock-app_SRCS
    ../liblatte2/commontools.cpp
    ../liblatte2/types.cpp
    alternativeshelper.cpp
    infoview.cpp
    lattecorona.cpp
    screenpool.cpp
    main.cpp
)

add_subdirectory(indicator)
add_subdirectory(layout)
add_subdirectory(layouts)
add_subdirectory(package)
add_subdirectory(plasma/extended)
add_subdirectory(settings)
add_subdirectory(settings/delegates)
add_subdirectory(settings/tools)
add_subdirectory(shortcuts)
add_subdirectory(view)
add_subdirectory(view/indicator)
add_subdirectory(view/settings)
add_subdirectory(view/windowstracker)
add_subdirectory(wm)
add_subdirectory(wm/tracker)

set(latte_dbusXML dbus/org.kde.LatteDock.xml)
qt5_add_dbus_adaptor(lattedock-app_SRCS ${latte_dbusXML} lattecorona.h Latte::Corona lattedockadaptor)
ki18n_wrap_ui(lattedock-app_SRCS settings/settingsdialog.ui)

add_executable(latte-dock ${lattedock-app_SRCS})

include(FakeTarget.cmake)

target_link_libraries(latte-dock
    Qt5::DBus
    Qt5::Quick
    Qt5::Qml
    KF5::Activities 
    KF5::Archive    
    KF5::CoreAddons    
    KF5::Crash    
    KF5::DBusAddons
    KF5::Declarative
    KF5::GuiAddons
    KF5::GlobalAccel
    KF5::I18n
    KF5::IconThemes
    KF5::Notifications
    KF5::NewStuff   
    KF5::QuickAddons    
    KF5::Plasma
    KF5::PlasmaQuick    
    KF5::ProcessCore
    KF5::WaylandClient
    KF5::XmlGui    
)

if(HAVE_X11)
    target_link_libraries(latte-dock
        Qt5::X11Extras
        KF5::WindowSystem
        ${X11_LIBRARIES}
        ${XCB_LIBRARIES}
    )
endif()

configure_file(org.kde.latte-dock.desktop.cmake org.kde.latte-dock.desktop)
configure_file(org.kde.latte-dock.appdata.xml.cmake org.kde.latte-dock.appdata.xml)

install(TARGETS latte-dock ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.latte-dock.desktop DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.latte-dock.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
install(FILES dbus/org.kde.LatteDock.xml DESTINATION ${KDE_INSTALL_DBUSINTERFACEDIR})
install(FILES lattedock.notifyrc DESTINATION ${KNOTIFYRC_INSTALL_DIR})
install(FILES latte-layouts.knsrc DESTINATION  ${CONFIG_INSTALL_DIR})
install(FILES latte-indicators.knsrc DESTINATION  ${CONFIG_INSTALL_DIR})

add_subdirectory(packageplugins)

=== app/view/settings/CMakeLists.txt ===
set(lattedock-app_SRCS
    ${lattedock-app_SRCS}   
    ${CMAKE_CURRENT_SOURCE_DIR}/primaryconfigview.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/secondaryconfigview.cpp
    PARENT_SCOPE
)

=== debian/changelog ===
latte-dock (0.9.4-1) unstable; urgency=medium

  * New upstream release.

 -- Scarlett Moore <sgmoore@kde.org>  Wed, 20 Nov 2019 06:09:10 -0700

## latte-dock 0.9.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 cmake_minimum_required(VERSION 3.0 FATAL_ERROR)
 
 set(CMAKE_CXX_STANDARD 14)
-set(VERSION 0.9.4)
+set(VERSION 0.9.5)
 set(AUTHOR "Michail Vourlakos, Smith Ar")
 set(EMAIL "mvourlakos@gmail.com, audoban@openmailbox.org")
 set(WEBSITE "https://userbase.kde.org/LatteDock")
@@ -18,8 +18,6 @@
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})
 
 find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED NO_MODULE COMPONENTS DBus Gui Qml Quick)
-
-find_package(KF5 REQUIRED COMPONENTS SysGuard)
 
 find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
     Activities Archive CoreAddons GuiAddons Crash DBusAddons Declarative GlobalAccel I18n 
@@ -52,6 +50,10 @@
 
 message(STATUS "KF5 VERSION : ${KF5_VERSION}")
 message(STATUS "KF5 VERSION MINOR : ${KF5_VERSION_MINOR}")
+
+if(${KF5_VERSION_MINOR} LESS "62")
+find_package(KF5 REQUIRED COMPONENTS SysGuard)
+endif()
 
 include(ECMQMLModules)
 ecm_find_qmlmodule(QtQuick 2.7)

=== debian/changelog ===
latte-dock (0.9.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the build dependencies:
    - bump libkf5coreaddons-dev to 5.62.0, so libkf5sysguard-dev can be dropped
    - explicitly add gettext
  * Switch from debian/compat to debhelper-compat.
  * Simplify removal of installed COPYING files.
  * Bump Standards-Version to 4.4.1, no changes required.

 -- Pino Toscano <pino@debian.org>  Sat, 07 Dec 2019 18:21:23 +0100

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,12 @@
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Scarlett Moore <sgmoore@kde.org>
 Build-Depends: cmake (>= 3.1~),
-               debhelper (>= 12),
+               debhelper-compat (= 12),
                extra-cmake-modules (>= 5.38.0~),
+               gettext,
                libkf5activities-dev (>= 5.38.0~),
                libkf5archive-dev (>= 5.38.0~),
-               libkf5coreaddons-dev (>= 5.38.0~),
+               libkf5coreaddons-dev (>= 5.62.0~),
                libkf5crash-dev (>= 5.38.0~),
                libkf5dbusaddons-dev (>= 5.38.0~),
                libkf5declarative-dev (>= 5.38.0~),
@@ -19,7 +20,6 @@
                libkf5newstuff-dev (>= 5.38.0~),
                libkf5notifications-dev (>= 5.38.0~),
                libkf5plasma-dev (>= 5.38.0~),
-               libkf5sysguard-dev (>= 5.38.0~),
                libkf5wayland-dev (>= 5.38.0~),
                libkf5windowsystem-dev (>= 5.38.0~),
                libkf5xmlgui-dev (>= 5.38.0~),
@@ -30,7 +30,7 @@
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.9.0~),
                qtdeclarative5-dev (>= 5.9.0~),
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Homepage: https://github.com/KDE/latte-dock
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/latte-dock
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/latte-dock.git

## latte-dock 0.9.6

=== debian/changelog ===
latte-dock (0.9.6-0ubuntu1) focal; urgency=medium

  * New upstream release (0.9.6)
  * debian/control: Explicit build depends on libx11-xcb-dev and libxcb-
    randr0-dev are now required in Focal.

 -- Rik Mills <rikmills@kde.org>  Tue, 31 Dec 2019 10:55:42 +0000

## latte-dock 0.9.7

=== debian/changelog ===
latte-dock (0.9.7-0ubuntu1) focal; urgency=medium

  * New upstream release (0.9.7)

 -- Rik Mills <rikmills@kde.org>  Wed, 01 Jan 2020 13:16:04 +0000

=== debian/control ===
--- 
+++ 
@@ -25,6 +25,8 @@
                libkf5xmlgui-dev (>= 5.38.0~),
                libqt5x11extras5-dev (>= 5.9.0~),
                libsm-dev,
+               libx11-xcb-dev,
+               libxcb-randr0-dev,
                libxcb-util0-dev,
                pkg-config,
                pkg-kde-tools (>= 0.12),

## latte-dock 0.9.8

=== debian/changelog ===
latte-dock (0.9.8-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.5.0, no changes required.
  * Set Homepage and Source to https://userbase.kde.org/LatteDock.

 -- Pino Toscano <pino@debian.org>  Tue, 28 Jan 2020 22:02:42 +0100

latte-dock (0.9.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Explicitly add the libx11-xcb-dev, and libxcb-randr0-dev build
    dependencies.

 -- Pino Toscano <pino@debian.org>  Thu, 02 Jan 2020 15:09:07 +0100

## latte-dock 0.9.8.1

=== debian/changelog ===
latte-dock (0.9.8.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Wed, 29 Jan 2020 23:48:19 +0100

## latte-dock 0.9.9

=== debian/changelog ===
latte-dock (0.9.9-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Thu, 27 Feb 2020 06:37:55 +0100

## latte-dock 0.9.10

=== debian/changelog ===
latte-dock (0.9.10-0ubuntu1) focal; urgency=medium

  * New upstream release (0.9.10)
  * Add upstream_fix-systray-SNI-icon-right-click.patch

 -- Rik Mills <rikmills@kde.org>  Fri, 27 Mar 2020 08:04:18 +0000

## latte-dock 0.9.11

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 cmake_minimum_required(VERSION 3.0 FATAL_ERROR)
 
 set(CMAKE_CXX_STANDARD 14)
-set(VERSION 0.9.5)
+set(VERSION 0.9.11)
 set(AUTHOR "Michail Vourlakos, Smith Ar")
 set(EMAIL "mvourlakos@gmail.com, audoban@openmailbox.org")
 set(WEBSITE "https://userbase.kde.org/LatteDock")
@@ -70,7 +70,7 @@
 include(ECMOptionalAddSubdirectory)
 include(ECMQtDeclareLoggingCategory)
 include(KDECMakeSettings)
-#include(KDECompilerSettings NO_POLICY_SCOPE)
+include(KDECompilerSettings NO_POLICY_SCOPE)
 include(KDEInstallDirs)
 include(KDEPackageAppTemplates)
 include(WriteBasicConfigVersionFile)

=== app/CMakeLists.txt ===
--- 
+++ 
@@ -32,29 +32,55 @@
 
 include(FakeTarget.cmake)
 
-target_link_libraries(latte-dock
-    Qt5::DBus
-    Qt5::Quick
-    Qt5::Qml
-    KF5::Activities 
-    KF5::Archive    
-    KF5::CoreAddons    
-    KF5::Crash    
-    KF5::DBusAddons
-    KF5::Declarative
-    KF5::GuiAddons
-    KF5::GlobalAccel
-    KF5::I18n
-    KF5::IconThemes
-    KF5::Notifications
-    KF5::NewStuff   
-    KF5::QuickAddons    
-    KF5::Plasma
-    KF5::PlasmaQuick    
-    KF5::ProcessCore
-    KF5::WaylandClient
-    KF5::XmlGui    
-)
+if(${KF5_VERSION_MINOR} LESS "62")
+    target_link_libraries(latte-dock
+        Qt5::DBus
+        Qt5::Quick
+        Qt5::Qml
+        KF5::Activities
+        KF5::Archive
+        KF5::CoreAddons
+        KF5::Crash
+        KF5::DBusAddons
+        KF5::Declarative
+        KF5::GuiAddons
+        KF5::GlobalAccel
+        KF5::I18n
+        KF5::IconThemes
+        KF5::Notifications
+        KF5::NewStuff
+        KF5::QuickAddons
+        KF5::Plasma
+        KF5::PlasmaQuick
+        KF5::ProcessCore
+        KF5::WaylandClient
+        KF5::XmlGui
+    )
+else()
+    target_link_libraries(latte-dock
+        Qt5::DBus
+        Qt5::Quick
+        Qt5::Qml
+        KF5::Activities
+        KF5::Archive
+        KF5::CoreAddons
+        KF5::Crash
+        KF5::DBusAddons
+        KF5::Declarative
+        KF5::GuiAddons
+        KF5::GlobalAccel
+        KF5::I18n
+        KF5::IconThemes
+        KF5::Notifications
+        KF5::NewStuff
+        KF5::QuickAddons
+        KF5::Plasma
+        KF5::PlasmaQuick
+        KF5::WaylandClient
+        KF5::XmlGui
+    )
+
+endif()
 
 if(HAVE_X11)
     target_link_libraries(latte-dock

=== containmentactions/CMakeLists.txt ===
add_subdirectory(contextmenu)

=== declarativeimports/CMakeLists.txt ===
install(DIRECTORY components/ DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/latte/components)

=== indicators/CMakeLists.txt ===
install(DIRECTORY default DESTINATION ${CMAKE_INSTALL_PREFIX}/share/latte/indicators)
install(DIRECTORY org.kde.latte.plasma DESTINATION ${CMAKE_INSTALL_PREFIX}/share/latte/indicators)

=== liblatte2/CMakeLists.txt ===
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config-latte-lib.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-latte-lib.h)

set(latteplugin_SRCS
    latteplugin.cpp
    backgroundtracker.cpp
    commontools.cpp
    iconitem.cpp
    quickwindowsystem.cpp
    types.cpp
)

add_subdirectory(plasma/extended)

add_library(latte2plugin SHARED ${latteplugin_SRCS})

target_link_libraries(latte2plugin
    Qt5::Quick
    Qt5::Qml
    KF5::CoreAddons
    KF5::Plasma
    KF5::PlasmaQuick
    KF5::QuickAddons
    KF5::IconThemes
)

if(HAVE_X11)
    target_link_libraries(latte2plugin KF5::WindowSystem)
endif()

install(TARGETS latte2plugin DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/latte)

install(FILES qmldir DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/latte)

=== app/indicator/CMakeLists.txt ===
set(lattedock-app_SRCS
    ${lattedock-app_SRCS}   
    ${CMAKE_CURRENT_SOURCE_DIR}/factory.cpp
    PARENT_SCOPE
)

=== app/layout/CMakeLists.txt ===
set(lattedock-app_SRCS
    ${lattedock-app_SRCS}   
    ${CMAKE_CURRENT_SOURCE_DIR}/abstractlayout.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/centrallayout.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/genericlayout.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/sharedlayout.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/storage.cpp
    PARENT_SCOPE
)

=== app/settings/CMakeLists.txt ===
set(lattedock-app_SRCS
    ${lattedock-app_SRCS}   
    ${CMAKE_CURRENT_SOURCE_DIR}/settingsdialog.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/universalsettings.cpp
    PARENT_SCOPE
)

=== app/shortcuts/CMakeLists.txt ===
set(lattedock-app_SRCS
    ${lattedock-app_SRCS}   
    ${CMAKE_CURRENT_SOURCE_DIR}/globalshortcuts.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/modifiertracker.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/shortcutstracker.cpp
    PARENT_SCOPE
)

=== app/view/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,6 @@
 set(lattedock-app_SRCS
     ${lattedock-app_SRCS}   
+    ${CMAKE_CURRENT_SOURCE_DIR}/containmentinterface.cpp
     ${CMAKE_CURRENT_SOURCE_DIR}/contextmenu.cpp
     ${CMAKE_CURRENT_SOURCE_DIR}/effects.cpp
     ${CMAKE_CURRENT_SOURCE_DIR}/panelshadows.cpp

=== app/plasma/extended/CMakeLists.txt ===
set(lattedock-app_SRCS
    ${lattedock-app_SRCS}   
    ${CMAKE_CURRENT_SOURCE_DIR}/screenpool.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/theme.cpp
    PARENT_SCOPE
)

=== debian/changelog ===
latte-dock (0.9.11-1) unstable; urgency=medium

  * Add some team variables to salsa-ci config.
    - Do not disable the conflicts and RC tests.
    - Set reprotest variation to buildpath.
  * Refresh copyright information.
    - Version 0.9.10 refresh all copyright since 2019.
    - Version 0.9.11 release refresh.
      - Remove unused LGPL-2.1 entry ( part of KDEev entry )
      - Fix DEP 5 entry for KDEeV clause.
  * Add Rules-Requires-Root: no to control for reduced fakeroot
    overhead.
  * New upstream release (0.9.11-1).
  * Add Bug-Database and Bug-Submit information to upstream metadata.
  * Add missing runtime dependencies.
  * Bump debhelper-compat to 13.
  * Enable hardening+=all build flags.
  * Remove as-needed linker override from rules as it is
    now default.
  * Release to unstable.

 -- Scarlett Moore <sgmoore@kde.org>  Tue, 23 Jun 2020 08:58:07 -0700

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Scarlett Moore <sgmoore@kde.org>
 Build-Depends: cmake (>= 3.1~),
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                extra-cmake-modules (>= 5.38.0~),
                gettext,
                libkf5activities-dev (>= 5.38.0~),
@@ -32,14 +32,24 @@
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.9.0~),
                qtdeclarative5-dev (>= 5.9.0~),
-Standards-Version: 4.4.1
-Homepage: https://github.com/KDE/latte-dock
+Standards-Version: 4.5.0
+Homepage: https://userbase.kde.org/LatteDock
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/latte-dock
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/latte-dock.git
+Rules-Requires-Root: no
 
 Package: latte-dock
 Architecture: any
-Depends: plasma-desktop, ${misc:Depends}, ${shlibs:Depends}
+Depends: plasma-desktop,
+         plasma-framework,
+         qml-module-org-kde-kquickcontrolsaddons,
+         qml-module-qtgraphicaleffects,
+         qml-module-qtquick-controls,
+         qml-module-qtquick-controls2,
+         qml-module-qtquick-layouts,
+         qml-module-qtquick2,
+         ${misc:Depends},
+         ${shlibs:Depends},
 Description: Dock based on plasma frameworks
  Latte is a dock based on plasma frameworks that provides an elegant and
  intuitive experience for your tasks and plasmoids. It animates it's

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/@PACKAGE@/@PACKAGE@-([\d.]+).tar.xz

## latte-dock 0.9.12

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 cmake_minimum_required(VERSION 3.0 FATAL_ERROR)
 
 set(CMAKE_CXX_STANDARD 14)
-set(VERSION 0.9.11)
+set(VERSION 0.9.12)
 set(AUTHOR "Michail Vourlakos, Smith Ar")
 set(EMAIL "mvourlakos@gmail.com, audoban@openmailbox.org")
 set(WEBSITE "https://userbase.kde.org/LatteDock")

=== debian/changelog ===
latte-dock (0.9.12-0ubuntu1) impish; urgency=medium

  * New upstream release (0.9.12)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 May 2021 21:16:00 +0100
